package test.jpa.entity;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;


@Entity
public class Address extends Base {

	Address() {} // make JPA happy
	public Address(final String id) { super(id); }

	@JoinColumn(name="partner_fk")
	@ManyToOne(cascade = {CascadeType.PERSIST, CascadeType.MERGE, CascadeType.REFRESH}, fetch=FetchType.LAZY)
	private Person person = null;

	// partner
	public Person getPerson() {
		return person;
	}
	public void setPerson(final Person person) {
		this.person = person;
		if (null != this.person) {
			this.person.addAddress(this);
		}
	}

}
