package test.jpa.entity;

import javax.persistence.Id;
import javax.persistence.MappedSuperclass;
import javax.persistence.Version;

@MappedSuperclass
public abstract class Base {
	
	Base() {} // make JPA happy
	public Base(final String id) { this.id = id; }

	@Id
	private String id;

	@Version
	private Long version;

	// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	@Override
	public boolean equals(Object obj) {
		if(this == obj) {
			return true;
		}
		if(obj instanceof Base) {
			return getId().equals(((Base) obj).getId());
		}
		return false;
	}
	@Override
	public int hashCode() {
		return getId().hashCode();
	}

	// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	public String getId() {
		return id;
	}
	public Long getVersion() {
		return version;
	}

}
